Subject: Re: Topic drift Re: An Internet Draft as reference material

From: John C Klensin <[email-masked]>
Date: Sun, 01 Oct 2000 17:16:47 -0400

--On Friday, 29 September, 2000 13:02 -0700 Eliot Lear
<[email-masked]> wrote:

> John,
> 
> Let's assume that Mike O'Dell never submits his idea as an RFC.
> What then? It's not just Mike O'Dell who loses.  Perhaps he
> doesn't lose at all, since he'll be able to reproduce what he
> wrote from his personal archives.  So while you may argue
> what's morally correct (and others might argue otherwise),  the
> fact is that we don't have the document, and that's a loss to
> us.

With the understanding that I'm trying to split hairs here, I
have to agree with Mike that he has the right to let the text of
a document expire into someplace out of IETF's eyesight.  I don't
think he can handle ideas contributed into the process the same
way: once the ideas are exposed to the community, the community
gets the right to use (and modify, extend, change, etc) those
ideas.

So, IMO, it should not be possible for someone to take the text
of an expired I-D and publish it as an RFC (or even repost it as
an I-D) without the author's explicit permission.   Conversely,
the author should not be able to prevent you (or anyone else)
from taking the underlying ideas and using them as the basis for
a new document.  As Keith has pointed out, when you do that, you
have a moral (and probably legal) obligation to credit the source
of the ideas appropriately, ideally working out the form of
attribution/ acknowledgement with the author, but that, along
with the questions of archiving and access to archives, is really
a separate issue.

   john

---

From: Eliot Lear <[email-masked]>
Date: Tue, 03 Oct 2000 16:42:14 -0700

Rather than debate the matter people seem to like to go hyperbolic and
that's not useful. (Yes, Brian, you could use a search engine to find
times when I've gone hyperbolic).

I never suggested that I or anyone else should republish someone else's
work without their permission.  I cited examples of lost institutional
memory and I proposed some mechanism as a straw man.  I think we are
continuing a mistake by not removing the six month limit on I-Ds.  I'll
not repeat the rest of my argument, but I do wish you would address my
point about institutional memory.
--
Eliot Lear
[email-masked]